보안뉴스 창간 18주년을 축하합니다!!

Home > 전체기사

오래된 PHP 패치에서 새롭게 발견된 취약점, 윈도 생태계 위험케 해

입력 : 2024-06-10 12:13
페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기 네이버 블로그 보내기
요약 : 보안 외신 해커뉴스에 의하면 PHP 생태계에서 새로운 취약점이 발견됐다고 한다. CVE-2024-4577로 CGI 명령을 주입할 수 있게 해 주는 것으로 분석됐다. 윈도 OS에 설치된 모든 버전의 PHP에 영향을 주는 것으로 나타났다. 이 취약점은 또 다른 PHP 취약점인 CVE-2012-1823에 대한 보안 패치로부터 비롯된 것이다. 데브토어(DEVCORE)라는 보안 업체에서 먼저 발견해 5월 7일 PHP 개발 및 패치 관리자에 제보했고, 패치가 한 달여 만에 나왔다. 8.3.8, 8.2.20, 8.1.29 버전을 통해 해결된 상황이다.

[이미지 = gettyimagesbank]


배경 : 12년 전에 개발된 패치로부터 취약점이 나올 수 있을 것이라고는 쉽게 생각할 수 없다. 12년 동안 문제가 없었다는 건, ‘안전하다는 게 증명됐다’는 것과 다름이 없기 때문이다. 그래서 보안 업계에서도 놓치고 있었지만, 반대로 공격자들 역시 이를 활용하지 못한 것으로 보인다. 취약점이 공개되고서야 겨우 익스플로잇 시도가 시작되었다고 한다.

말말말 : “오래된 PHP CGI는 아예 시스템 자체에서 삭제하는 게 안전합니다. 보다 안전한 솔루션들로 대체가 가능합니다. Mod-PHP라든가, FastCGI, PHP-FPM 등이 좋은 사례입니다.” -데브코어-
[국제부 문가용 기자(globoan@boannews.com)]

<저작권자: 보안뉴스(www.boannews.com) 무단전재-재배포금지>

  •  
  • 0
  • 페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기 네이버 블로그 보내기

  •  SNS에서도 보안뉴스를 받아보세요!! 
 하이젠 파워비즈 23년 11월 16일~2024년 11월 15일까지 아스트론시큐리티 파워비즈 2023년2월23일 시작 위즈디엔에스 2018
설문조사
3월 15일부터 시행되고 있는 개정 개인정보보호법과 관련해 가장 까다롭고 이행하기 어려운 조항은 무엇인가요?
인공지능(AI) 등 자동화된 결정에 대한 정보주체 권리 구체화
접근권한 관리 등 개인정보 안전성 확보조치 강화 및 고유식별정보 관리실태 정기조사
영향평가 요약본 공개제도 도입 등 개인정보 영향평가제도
영상정보처리기기 및 안전조치 기준
개인정보 보호책임자의 전문성 강화 위한 전문CPO 지정
국외 수집·이전 개인정보 처리방침 공개 등 개인정보 처리방침 평가제도
손해배상책임 의무대상자 변경 및 확대
공공기관 개인정보 보호수준 평가 확대
기타(댓글로)